#include "fakenetwork.h"

FakeNetwork::FakeNetwork(QObject *parent) :
    QObject(parent)
{
}

void FakeNetwork::checkForNewVersions(QHash<QString, Application*> &apps)
{
    if(apps.contains("com.ubuntu.developer.xda-app")) {
        Application* app = apps.value("com.ubuntu.developer.xda-app");
        QString version("0.5.2ubuntu2");
        app->setRemoteVersion(version);
        emit this->updatesFound();
    }
}

void FakeNetwork::getResourceUrl(QString packagename)
{
    emit this->downloadUrlFound(packagename, "http://canonical.com");
}
