import QtQuick 2.0
import Ubuntu.Components 0.1
import "components"

/*!
    \brief MainView with a Label and Button elements.
*/

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "UpdateManager"
    
    // Note! applicationName needs to match the .desktop filename
    applicationName: "UpdateManager"
    
    /* 
     This property enables the application to change orientation 
     when the device is rotated. The default is false.
    */
    automaticOrientation: true
    
    width: units.gu(60)
    height: units.gu(80)
    backgroundColor: UbuntuColors.darkAubergine

    PageUpdate {
        id: pageUpdate
        objectName: "pageUpdate"
    }
}
