TEMPLATE = lib
TARGET = ClickManager
QT += qml quick core dbus
CONFIG += qt plugin

TARGET = $$qtLibraryTarget($$TARGET)
uri = com.ubuntu.click

# Input
SOURCES += \
    clickmanager_plugin.cpp \
    clickmanager.cpp \
    network/network.cpp \
    application.cpp \
    download/downloader.cpp \
    download/downloadmanager.cpp \
    download/downloadtrackeradaptor.cpp \
    download_tracker.cpp

HEADERS += \
    clickmanager_plugin.h \
    clickmanager.h \
    network/network.h \
    application.h \
    download/downloader.h \
    download/downloadmanager.h \
    download/metatypes.h \
    download/downloadtrackeradaptor.h \
    download_tracker.h

OTHER_FILES = qmldir

!equals(_PRO_FILE_PWD_, $$OUT_PWD) {
    copy_qmldir.target = $$OUT_PWD/qmldir
    copy_qmldir.depends = $$_PRO_FILE_PWD_/qmldir
    copy_qmldir.commands = $(COPY_FILE) \"$$replace(copy_qmldir.depends, /, $$QMAKE_DIR_SEP)\" \"$$replace(copy_qmldir.target, /, $$QMAKE_DIR_SEP)\"
    QMAKE_EXTRA_TARGETS += copy_qmldir
    PRE_TARGETDEPS += $$copy_qmldir.target
}

qmldir.files = qmldir
unix {
    installPath = $$[QT_INSTALL_QML]/$$replace(uri, \\., /)
    qmldir.path = $$installPath
    target.path = $$installPath
    INSTALLS += target qmldir
}

LIBS += /usr/lib/x86_64-linux-gnu/libapt-pkg.so
INCLUDEPATH += /usr/lib/x86_64-linux-gnu
