#ifndef DOWNLOADER_H
#define DOWNLOADER_H

#include <QObject>
#include <QString>
#include <QDBusObjectPath>
#include "downloadmanager.h"

class Downloader : public QObject
{
    Q_OBJECT
public:
    explicit Downloader(QObject *parent = 0);

    void startDownload(QString& packagename, QString& url);

signals:
    void downloadCreated(QString packagename, QString dbuspath);
    void downloadNotCreated(QString packagename);

private:
    DownloadManager* manager;
    
};

#endif // DOWNLOADER_H
