QT       += core qml quick network testlib dbus

QT       -= gui

TARGET = clickmanager_test
CONFIG   += console
CONFIG   -= app_bundle

TEMPLATE = app


SOURCES += \
    clickmanager_plugin.cpp \
    clickmanager.cpp \
    network/network.cpp \
    application.cpp \
    download/downloader.cpp \
    download/downloadmanager.cpp \
    download/downloadtrackeradaptor.cpp \
    download_tracker.cpp \
    main.cpp \
    tests/testapplication.cpp \
    tests/testclickmanager.cpp \
    tests/fakenetwork.cpp \
    tests/fakedownloader.cpp \
    tests/fakeprocess.cpp

HEADERS += \
    clickmanager_plugin.h \
    clickmanager.h \
    network/network.h \
    application.h \
    download/downloader.h \
    download/downloadmanager.h \
    download/metatypes.h \
    download/downloadtrackeradaptor.h \
    download_tracker.h \
    tests/testapplication.h \
    tests/testclickmanager.h \
    tests/fakenetwork.h \
    tests/fakedownloader.h \
    tests/fakeprocess.h

LIBS += /usr/lib/x86_64-linux-gnu/libapt-pkg.so
INCLUDEPATH += /usr/lib/x86_64-linux-gnu

DEFINES += SRCDIR=\\\"$$PWD/\\\"
DEFINES += TESTS
