#ifndef FAKENETWORK_H
#define FAKENETWORK_H

#include <QObject>
#include <QHash>
#include <QString>
#include "application.h"

class FakeNetwork : public QObject
{
    Q_OBJECT
public:
    explicit FakeNetwork(QObject *parent = 0);

    void checkForNewVersions(QHash<QString, Application*> &apps);
    void getResourceUrl(QString packagename);
    
signals:
    void updatesFound();
    void updatesNotFound();
    void errorOccurred();
    void downloadUrlFound(QString packagename, QString url);
    
};

#endif // FAKENETWORK_H
