#include "fakeprocess.h"
#include <QFile>
#include <QTextStream>
#include <QDir>

FakeProcess::FakeProcess(QObject *parent) :
    QObject(parent)
{
}

void FakeProcess::start(QString command, QStringList args)
{
    if(command == "click") {
        QString path = QDir::currentPath();
        path.append("/tests/click.result");

        this->m_content.clear();
        QFile file(path);
        file.open(QIODevice::ReadOnly);
        QTextStream in(&file);
        while(!in.atEnd()) {
            QString line = in.readLine();
            this->m_content.append(line);
        }

        file.close();
        emit this->readyReadStandardOutput();
    }
}

QString FakeProcess::readAllStandardOutput()
{
    return this->m_content;
}

void FakeProcess::startDetached(QString command, QStringList args)
{

}
