#ifndef FAKEPROCESS_H
#define FAKEPROCESS_H

#include <QObject>
#include <QString>
#include <QStringList>

class FakeProcess : public QObject
{
    Q_OBJECT
public:
    explicit FakeProcess(QObject *parent = 0);

    void start(QString command, QStringList args);
    void startDetached(QString command, QStringList args);
    QString readAllStandardOutput();
    
signals:
    void readyReadStandardOutput();
    
private:
    QString m_content;
    
};

#endif // FAKEPROCESS_H
